Name:                f2fs-tools
Version:             1.16.0
Release:             1
Summary:             Tools for Flash-Friendly File System (F2FS)
License:             GPLv2+
URL:                 http://sourceforge.net/projects/f2fs-tools/
Source0:             http://git.kernel.org/cgit/linux/kernel/git/jaegeuk/f2fs-tools.git/snapshot/%{name}-%{version}.tar.gz
BuildRequires:       autoconf automake uuid-devel libuuid-devel libtool libselinux-devel libblkid-devel make

%description
f2fs is a file system desigend for flash devices

%package devel
Summary:             Development files for %{name}
Requires:            %{name} = %{version}-%{release}
%description devel
f2fs is a file system desigend for flash devices

%prep
%autosetup -p1
sed -i 's/AC_PROG_LIBTOOL/LT_INIT/' configure.ac

%build
autoreconf --install
%configure --disable-static
%{make_build}

%install
%{make_install}
install -m 644 mkfs/f2fs_format_utils.h %{buildroot}%{_includedir}
find %{buildroot} -type f -name "*.la" -delete
%ldconfig_scriptlets

%files
%license COPYING
%doc AUTHORS ChangeLog
%{_sbindir}/mkfs.f2fs
%{_sbindir}/fibmap.f2fs
%{_sbindir}/fsck.f2fs
%{_sbindir}/dump.f2fs
%{_sbindir}/parse.f2fs
%{_sbindir}/defrag.f2fs
%{_sbindir}/resize.f2fs
%{_sbindir}/sload.f2fs
%{_sbindir}/f2fs_io
%{_sbindir}/f2fscrypt
%{_sbindir}/f2fslabel
%{_libdir}/*.so.*
%{_mandir}/man8/*f2*.gz

%files devel
%{_includedir}/*.h
%{_libdir}/*.so

%changelog
* Fri Sep 15 2023 yaoxin <yao_xin001@hoperun.com> - 1.16.0-1
- Update to 1.16.0

* Thu Mar 04 2021 wangyue <wangyue92@huawei.com> - 1.14.0-1
- Update to 1.14.0 to fix CVE-2020-6106 and CVE-2020-6104 and CVE-2020-6107 and CVE-2020-6108 and CVE-2020-6105

* Tue Oct 13 2020 Qingqing Li <liqingqing3@huawei.com>
- update souece0

* Sun Mar 29 2020 Wei Xiong <myeuler@163.com>
- Package init
